Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.jxpath.util
Class JxpathSwitch<T>

    java.lang.Object
      org.eclipse.gmt.modisco.infra.query.jxpath.util.JxpathSwitch<T>

    public class JxpathSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `JxpathPackage`

Constructor Summary
`JxpathSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseJXPathModelQuery(JXPathModelQuery object)` Returns the result of interpreting the object as an instance of 'JX Path Model Query'.
`T` | `caseModelQuery(ModelQuery object)` Returns the result of interpreting the object as an instance of 'Model Query'.
`T` | `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`T` | `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JxpathSwitch

    public JxpathSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseJXPathModelQuery

    public T caseJXPathModelQuery(JXPathModelQuery object)

  Returns the result of interpreting the object as an instance of 'JX Path Model Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'JX Path Model Query'.
  See Also:
    `doSwitch(EObject)`

### caseModelQuery

    public T caseModelQuery(ModelQuery object)

  Returns the result of interpreting the object as an instance of 'Model Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Model Query'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD